/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * <p>
 * <code>freemarker</code> provides advanced string template processing.
 * Defined attributes can be accessed in the templates via standard Freemarker
 * variable markers e.g. <code>${...}</code>.
 * Use <code>&lt;#include "someFile.ftl" &gt;</code> statements for both relative
 * and absolute include statements.
 * Only templates located with <code>FreemarkerSqlLocator</code> can have includes.
 * </p>
 */
package org.jdbi.v3.freemarker;
